Дадатак Apple Store патрабуе загрузкі iOS 10 або больш позняй версіі

Бэта-версіі iOS 10.3 даюць нам прыкметы пра тое, якой iOS 11 можа быць у будучыні, альбо, прынамсі, там, дзе пойдзе новае абнаўленне. Адна з рэчаў, з якой трэба зразумець, - гэта тое, што iOS 11 дазволіць толькі 64-разрадныя праграмы, таму распрацоўшчыкі, чые прыкладанні 32-разрадныя, альбо абнаўляюцца, альбо паміраюць.

Прыклад Apple даволі ясны. Большасць вашых прыкладанняў, як і ўвесь набор iWork (Pages, Numbers, Keynote), патрабуюць наяўнасці Версія iOS 10 або вышэй каб мець магчымасць загружаць іх на нашай прыладзе. Пасля апошняга абнаўлення прыкладання Apple Store Big Apple таксама змяніла гэты крытэрый: з гэтага часу можна загружаць толькі версіі праграм, вышэйшых за iOS 10.

Патрабаванні Apple усё больш актуальныя: зараз iOS 10 або вышэй

Apple заўсёды хацела дасканаласці як у сваіх прыладах, так і ў сваёй экасістэме, у якую я ўключаю прыкладання і розныя крамы. На працягу выпускаў АС Куперціна выпускаў шэраг функцый, якія прымусілі распрацоўшчыкаў развівацца альбо паміраць. Гэта неабходна распрацоўшчыкі прасоўваюцца ў адпаведнасці са зменамі ў iOS, macOS і іншых аперацыйных сістэмах.

Калі мы памятаем, у Люты 2015г Apple прымусіла распрацоўшчыкаў зрабіць праграмы, загружаныя пасля лютага 2015 года, сумяшчальнымі з 64 біта:

Пачынаючы з 1 лютага 2015 года, новыя прыкладання для iOS, загружаныя ў App Store, павінны ўключаць 64-разрадную падтрымку і будуць убудаваныя ў SDK для iOS 8, уключаны ў Xcode 6 або больш позняй версіі. Каб уключыць 64-разрадную структуру ў вашым праекце, мы рэкамендуем выкарыстоўваць стандартныя архітэктуры Xcode для стварэння адзінага двайковага файла з 32-разраднымі версіямі і 64-разрадным кодам.

З гэтай даты да сённяшняга дня ўсе змены, якія адбываюцца ў дадатках, павінны падтрымлівацца гэтым 64-разрадная архітэктура. Але прыходзіць навіна пра тое, што Apple, верагодна, ліквідуе тыя прыкладання, якія не абнаўляюцца для iOS 10 і вышэй, і чакаецца, што амаль 10% прыкладанняў, даступных у App Store, будуць закрануты запускам iOS 11.

У выпадку з дадаткам Крама Apple, у апошнім абнаўленні ён ужо ўключаў патрабаванне мець iOS 10 або вышэйшую версію, выбух для тых распрацоўшчыкаў, якія адсталі ў распрацоўцы сваіх прыкладанняў.


Змест артыкула адпавядае нашым прынцыпам рэдакцыйная этыка. Каб паведаміць пра памылку, націсніце тут.

Будзьце першым, каб каментаваць

Пакіньце свой каментар

Ваш электронны адрас не будзе апублікаваны. Абавязковыя для запаўнення палі пазначаныя *

*

*

  1. Адказны за дадзеныя: AB Internet Networks 2008 SL
  2. Прызначэнне дадзеных: Кантроль спаму, кіраванне каментарыямі.
  3. Легітымнасць: ваша згода
  4. Перадача дадзеных: Дадзеныя не будуць перададзены трэцім асобам, за выключэннем юрыдычных абавязкаў.
  5. Захоўванне дадзеных: База дадзеных, размешчаная Occentus Networks (ЕС)
  6. Правы: у любы час вы можаце абмежаваць, аднавіць і выдаліць сваю інфармацыю.